#productsTopHeading,#productsTop + .button-wrapper {display:none}
:where(body.ums_a11y_category_page--on) .listSorting__controls {
        border-radius: 10px;
        overflow: hidden;
        background: #fff;
        justify-content: center;
    }
    :where(body.ums_a11y_category_page--on) .listSorting__control {
        font-size: 13px;
        font-weight: 600;
        padding: 10px 20px;
        background: #fff;
        border-radius: 10px;
        border: none;
        margin: 0;
    }
:where(body.ums_a11y_category_page--on) .listSorting__control--current, :where(body.ums_a11y_category_page--on) .listSorting__control--current:focus-visible {
    background: #a08bdb;
    color: #fff;
    border: none;    
}
:where(body.ums_a11y_category_page--on) .listSorting__control:focus-visible, :where(body.ums_a11y_category_page--on) .listSorting__control:hover {
    background: #d6cdfd;
}
.products-block .flags.flags-default {
    top: 0 !important;
    align-items: flex-start;
}
.listingControls .itemsTotal {
    display: none;
}
#hc_popup > a {
    display: block;
    width: 100%;
    text-align: center;
}
#hc_popup img {
border-radius: 15px;
}


#hc_popup {
      position: fixed;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      display: none; /* Hidden by default */
      z-index: 1002;
      background-color: white;
      border-radius:15px;
      overflow:hidden;
      box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
      text-align: center;
      max-width:400px;
    }
.close-btn {
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 18px;
    cursor: pointer;
    background: none;
    border: none;
    color: #000;
    background: #fff;
    width: 27px;
    height: 27px;
    border-radius: 100%;
}
    .close-btn:hover {
      color: #000;
    }
    #hc_overlay {
      position: fixed;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background: rgba(0, 0, 0, 0.5);
      display: none;
      z-index: 1001;
    }
    #hc_popup img {
      max-width: 100%;
      height: auto;
}
@media (max-width:767px) {
#hc_popup {
      position: fixed;
      top: 50%;
      left: 20px;
      right:20px;
      transform: translate(0, -50%);
      width:calc(100% - 40px);
}
}
.mobile #hc_popup .popup_desktop,
.desktop #hc_popup .popup_mobile {display:none;}
.desktop #hc_popup {
    max-width: 992px;
}
html:has(#hc_overlay[style="display: block;"]) #hc_popup {
    position: fixed !important;
}
#hc_popup img {
    max-height: 90dvh;
}
.p-detail-inner .p-detail-inner-header .stars-wrapper {
    padding: 5px 40px 5px 20px;
}
.ordering-process .cart-wrapper .discount-coupon form, .in-kosik .cart-wrapper .discount-coupon form, .in-krok-1 .cart-wrapper .discount-coupon form, .in-krok-2 .cart-wrapper .discount-coupon form, .id--15 .cart-wrapper .discount-coupon form {
    margin: 0 2px;
    height:54px;
}
.ordering-process .cart-wrapper .discount-coupon form input:focus, .in-kosik .cart-wrapper .discount-coupon form input:focus, .in-krok-1 .cart-wrapper .discount-coupon form input:focus, .in-krok-2 .cart-wrapper .discount-coupon form input:focus, .id--15 .cart-wrapper .discount-coupon form input:focus,
.ordering-process .cart-info-wrapper .form-group input:focus {
    box-shadow: none;
    outline: none !important;
}
.ordering-process .cart-wrapper .discount-coupon form:has(input:focus),
.in-kosik .cart-wrapper .discount-coupon form:has(input:focus),
.in-krok-1 .cart-wrapper .discount-coupon  form:has(input:focus),
.in-krok-2 .cart-wrapper .discount-coupon  form:has(input:focus),
.id--15 .cart-wrapper .discount-coupon  form:has(input:focus),
.ordering-process .cart-info-wrapper .form-group input:focus {
border:solid 2px #a48cdc;
}
.cart-xyDiscount__banner {
    border: none;
    border-radius: 14px;
}
.product .dm-coupon-div, .dm-coupon-div {
    background: #a48cdc08;
    border-color: #a48cdc;
    color: #212121;
    border-radius: 7px;
}
.dm-coupon-div span {
    color: #7b54d8;
    font-weight: 700;
}
.dm-coupon-div span.action-dm-coupon {
    text-decoration: underline;
    text-underline-offset: 3px;
    display: inline-flex;
    align-items: center;
    gap: 5px;
}
.dm-coupon-div span.action-dm-coupon:hover {text-decoration: none;}
.dm-coupon-div span.action-dm-coupon:after {content:'';background-image: url("/user/documents/upload/res2021/new_icons/icon_copy.svg");
display: block;width: 15px;height: 15px;}
.product .stars-wrapper {justify-content: center;margin-bottom: 10px;}
.products-block>div .p .name {min-height: 52px;}
@media (max-width:767px) {
.type-detail .slick-box.p-thumbnails {
    display: block !important;
}
.p-thumbnails a {
    padding: 2px;
}
.p-thumbnails a img {
    width: 96px;
    border-radius: 10px;
}
}
:where(body.ums_a11y_login--on) .top-nav-button-login,
:where(body.ums_a11y_login--on) .top-nav-button-login:hover {background:transparent;width: 50px;}
:where(body.ums_a11y_login--on) .top-nav-button-login:before {
      mask-image: url(/user/documents/upload/Ikony/login.svg);
      -webkit-mask-image: url(/user/documents/upload/Ikony/login.svg);
      mask-size: contain;
      -webkit-mask-size: contain;
          content: "";
    display: inline-block;
    width: 30px;
    height: 30px;
    background-color: #000;
    transition: all .3s ease-out;
    }
:where(body.ums_a11y_login--on) .top-nav-button-login:hover:before {background-color: #a48cdc;}
.shorts_wrap img {border: 7px solid #d9ccff;outline: 3px solid #fff;outline-offset: -7px;}
.video-thumb {display: inline-block;position: relative;}
.video-thumb:first-child {animation: pulse 1.6s infinite;}
.shorts_wrap:has(.video-thumb:not(:first-child):hover) .video-thumb:first-child {animation: none;}
.video-thumb:hover {animation: pulse 1.6s infinite;}
@keyframes pulse {
  0% {
    box-shadow: 0 0 0 0 rgba(164,149,220,0.5);
  }
  60% {
    box-shadow: 0 0 0 22px rgba(164,149,220,0);
  }
  100% {
    box-shadow: 0 0 0 0 rgba(164,149,220,0);
  }
}
.p-final-price-wrapper>strong {
    font-size: 24px;
}

#carousel .extended-banner-texts {
    padding: 30px 20px;
    display: flex;
    justify-content: flex-end;
    align-items: flex-start;
    width: 100%;
}